From ca359728ebfb292d7877f8f8cb43a888c81c1a2c Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Sun, 25 Jan 2015 11:09:06 -0500
Subject: buglist: bug 7298: coercion to SUP failure in factor

t1:=(4*x^3+2*y^2+1)*(12*x^5-x^3*y+12)*(x+1)*(y^2+3)*(x^2-1)
factor(t1)

 >> Error detected within library code
 (1 . failed) cannot be coerce to mode (SparseUnivariatePolynomial (Integer))

reported on 25 Jan 2015 by Ralf Hemmecke
---
 buglist                        |   13 ++++++++++++-
 changelog                      |    2 ++
 patch                          |   28 +++++++---------------------
 src/axiom-website/patches.html |    2 ++
 4 files changed, 23 insertions(+), 22 deletions(-)

diff --git a/buglist b/buglist
index 898f3c8..2970249 100644
--- a/buglist
+++ b/buglist
@@ -1,6 +1,6 @@
 =========================================================================
 
-bug 7298: 
+bug 7299: 
 todo 337:
 wish 1012:
 meh 5:
@@ -12,6 +12,17 @@ dup 50006:
 nonextend 60077:
 
 =========================================================================
+bug 7298: coercion to SUP failure in factor
+
+t1:=(4*x^3+2*y^2+1)*(12*x^5-x^3*y+12)*(x+1)*(y^2+3)*(x^2-1)
+factor(t1)
+
+ >> Error detected within library code
+ (1 . failed) cannot be coerce to mode (SparseUnivariatePolynomial (Integer))
+
+reported on 25 Jan 2015 by Ralf Hemmecke
+
+=========================================================================
 bug 7297: Extraneous "#\" characters in Axiom TeX output
 
     The Axiom TeX output for a number with radix greater than 10
diff --git a/changelog b/changelog
index 598e2b9..3fd6cfe 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20150125 rhx src/axiom-website/patches.html 20150125.02.rhx.patch
+20151025 rhx buglist: bug 7298: coercion to SUP failure in factor
 20150125 fmp src/axiom-website/patches.html 20150125.01.fmp.patch
 20150125 fmp buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output
 20150122 tpd src/axiom-website/patches.html 20150122.02.tpd.patch
diff --git a/patch b/patch
index 922cfc1..7d9131f 100644
--- a/patch
+++ b/patch
@@ -1,26 +1,12 @@
-buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output
+buglist: bug 7298: coercion to SUP failure in factor
 
-    The Axiom TeX output for a number with radix greater than 10
-potentially contains "#\A" (A is any upper case alphabetic character)
-where it should contain just "A" (the double quotes are mine, they do
-not appear in the actual output).  This particular bug is used as a
-Axiom debugging example in "Volume 4: Axiom Developers Guide' on page
-91, but no fix is presented there.  In the release notes I stumbled over
-a fix to essentially the same bug in HTML output.  A quick fix applied
-to the TeX case is to replace the invocation of the Lisp function
-"object2String" with "mathObject2String" (again, the double quotes are
-mine) in the file bookvol10.3.pamphlet, line 132043.
+t1:=(4*x^3+2*y^2+1)*(12*x^5-x^3*y+12)*(x+1)*(y^2+3)*(x^2-1)
+factor(t1)
 
-    I came across this issue while trying to use TeXmacs as a front end
-to Axiom.  In that environment, the above fix generates nicely formatted
-numbers with fixed width characters (i.e. monospaced) and over-lining as
-needed.  On the other hand, if I run Axiom in an Emacs shell and attempt
-to use latex-math-preview-expression to format the Axiom TeX output, the
-number is not so nicely formatted.  The letter digits are slanted and
-variable width while the number digits are upright and fixed width.
-Maybe a "\rm" font specification command is needed in the Axiom TeX
-output for a number with radix greater than 10.
+ >> Error detected within library code
+ (1 . failed) cannot be coerce to mode (SparseUnivariatePolynomial (Integer))
+
+reported on 25 Jan 2015 by Ralf Hemmecke
 
-reported on 25 Jan 2015 by Frederick H. Pitts <fred.pitts@comcast.net>
 
 
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index f048604..40c6e1e 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4972,6 +4972,8 @@ books/bookvol13 update the proof volume<br/>
 books/bookvol5 remove $undoFlag and rename functions<br/>
 <a href="patches/20150125.01.fmp.patch">20150125.01.fmp.patch</a>
 buglist: bug 7297: Extraneous "#\" characters in Axiom TeX output<br/>
+<a href="patches/20150125.02.rhx.patch">20150125.02.rhx.patch</a>
+buglist: bug 7298: coercion to SUP failure in factor<br/>
  </body>
 </html>
 
-- 
1.7.5.4

